/************************************************************************/
/*                                                                      */
/*                      RC5 Remote Receiver                             */
/*                                                                      */
/*              Author: Peter Dannegger                                 */
/*                      danni@specs.de                                  */
/* an mega48 angepasst, dimmbare Nachttischlampe     24.2.2013          */
/************************************************************************/
#include <C:\WinAVR-20100110\avr\include\avr\io.h>
#include <C:\WinAVR-20100110\avr\include\avr\interrupt.h>
//#include <C:\WinAVR-20100110\avr\include\avr\signal.h>
#include <C:\WinAVR-20100110\avr\include\stdlib.h>
#include <avr/pgmspace.h>		//braucht man nur fr den PROGMEM-Befehl, 
								//nur fr die Textkonstante, die in der Hex-Datei 
								//zur Identifikation der Programmversion erscheinen soll.
#include "clock.h"			//wegen "sync_memory"  und "flags.dcf_sync"

#define uchar unsigned char
#define uint unsigned int

//Sensor ist an Pin 3, PD3 angeschlossen, dort noch den Pullup aktivieren

#define	xRC5_IN		PIND
#define	xRC5		PD3			// IR input low active, ist PIN 3

//#define	XTAL		11.0592e6
//#define	XTAL		7.3728e6
//#define XTAL		5e6
//#define XTAL		4e6
#define XTAL		8e6			//Achtung, hier aufpassen wegen dem Quarzteiler durch 8 im mega48!!!!!!!!
								//Am besten auf 8e6 stellen und die Fuse CKDIV8 lschen.
#define	BAUD	9600
#define bauddivider (uint)(XTAL / BAUD / 16 - 0.5)

extern volatile uint rc5_data;				// store result  
//Achtung!!! mu volatile sein, laut http://www.mikrocontroller.net/topic/95575#new
//mute als Folge dieser nderung noch innerhalb von rc5.c die Zeile "volatile uint	rc5_data;	// store result" ndern



char Buffer[10];	//fr itoa

